<template>
<main class="flex flex-col items-center justify-center">
  <table class="table-fixed border-collapse border border-slate-500">
    <thead>
    <tr class="bg-sky-500">
      <th class="border border-slate-600 w-24">Posición</th>
      <th class="border border-slate-600 w-40">Jugador</th>
      <th class="border border-slate-600 w-24">Puntaje</th>
    </tr>
    </thead>
    <tbody>
    <tr v-for="(rankings, index) in rankings" :key="index" class="h-10">
      <td class="border border-slate-700">{{ rankings.posicion }}</td>
      <td class="border border-slate-700">{{ rankings.jugador }}</td>
      <td class="border border-slate-700">{{ rankings.puntaje }}</td>
    </tr>
    </tbody>
  </table>
</main>
</template>

<script>
export default {
   props: {
     rankings: {
       type: Array,
       required: true
     }
   }
}

</script>
